@use "sass:color";
@import "@/styles/variables";

.nav-user {
    width: fit-content;
    min-width: 185px;
    display: grid;

    > div {
        border-radius: 4px;
        top: 80%;
        justify-self: flex-end;
        max-width: max-content;
    }

    &-button {
        @include button-2;

        cursor: pointer;
        width: fit-content;
        background: none;
        border: none;
        display: flex;
        justify-self: flex-end;
        gap: 0.5rem;
        align-items: center;
        text-align: end;
        transition: all 0.3s;
        color: $color-error;
        padding: 0.5rem 0.75rem;
        border-radius: $border-radius;

        &:hover {
            color: color.adjust($color-error, $blackness: 20%);
        }

        &:active {
            color: color.adjust($color-error, $whiteness: 20%);
        }
    }

    &-title {
        text-transform: capitalize;
    }

    &-email {
        display: inline-block;
        width: 150px;

        @include text-truncate;

        @include tablet {
            width: unset;
        }
    }

    &-dropdown {
        list-style: none;
        padding: 0.5rem 3rem 0.5rem 0.5rem;
        background-color: $white;
        min-height: 2.5rem;
        display: flex;
        border-radius: 4px;
        position: relative;

        &-item {
            align-self: flex-end;
        }
    }
}
